{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To create a checkpoint of a running or paused MicroVM, send a POST request to\n`/v2/microvms/{microvm_id}/checkpoints`.\n\nThe capture runs in the background and does not change the MicroVM's state. Poll\n`GET /v2/microvms/checkpoints/{checkpoint_id}` until `status` is `CHECKPOINT_AVAILABLE`.\n","properties":{"path":{"type":"object","properties":{"microvm_id":{"type":"string","format":"uuid","examples":["01a0ef1a-d873-793d-ae6a-5dd6239be62a"],"description":"The unique ID of the MicroVM."}},"required":["microvm_id"],"additionalProperties":false},"body":{"type":"object","properties":{"name":{"type":"string","description":"A name for the checkpoint. If you omit it, a name such as `checkpoint-20260929-143559` is generated.","examples":["example-checkpoint"]}},"examples":[{"name":"example-checkpoint"}]}},"required":["path"],"additionalProperties":false},"name":"Create a checkpoint of a MicroVM","id":"digitalocean.microvmcheckpoints_create","example":{"path":{"microvm_id":"01a0ef1a-d873-793d-ae6a-5dd6239be62a"}},"maxRequests":1,"summary":false}}